#set verbose
#=========================================================================
# Copyright (C) GemTalk Systems 1986-2013.  All Rights Reserved.
#
# Name - setconfig.csh
#
# Purpose - Set GemStone configuration parameters
# Inputs: $GEMSTONE, $comid, $exeConfig, $systemConfig,
#	   $runpgsvrSpec $netldiSpec, $appName
#
# $Id: setconfig.csh,v 1.10 2008-04-17 23:15:46 smahoney Exp $
#
#=========================================================================

set GEMSTONE_VERSION = 66

# verify GEMSTONE
if ( ! -d $GEMSTONE ) then
  echo "$comid"'['"Error"']'":    Directory GEMSTONE does not exist."
  echo "    GEMSTONE=$GEMSTONE"
  exit 1
endif
set say = $GEMSTONE/bin/saymessage

# we need a GEMSTONE_SYS_CONF
if ( "x$systemConfig" == "x" ) then
  if ( $?GEMSTONE_SYS_CONF == 0 ) then
    set systemConfig = "$GEMSTONE/data"
#    echo "$comid"'['"Info"']'":     Hard-wiring systemConfig to be $systemConfig"
  else
    set systemConfig = "$GEMSTONE_SYS_CONF"
#    echo "$comid"'['"Warning"']'":  Using GEMSTONE_SYS_CONF value $systemConfig"
  endif
endif
if ( -d $systemConfig ) then
  if ( -f $systemConfig/`/bin/uname -n`.conf ) then
    set systemConfig = $systemConfig/`/bin/uname -n`.conf
  else
    set systemConfig = $systemConfig/system.conf
  endif
else
  if ( ! -f $systemConfig ) then
    set systemConfig = $GEMSTONE/data/system.conf
  endif
endif
if ( ! -f $systemConfig ) then
  $say setconfig.nosys $comid $GEMSTONE_SYS_CONF
  echo "    GEMSTONE_SYS_CONF=$systemConfig"
endif
setenv GEMSTONE_SYS_CONF $systemConfig

# we need a GEMSTONE_EXE_CONF
if ( "x$exeConfig" == "x" ) then
  if ( $?GEMSTONE_EXE_CONF == 0 ) then
    set exeConfig = "$cwd"
#    echo "$comid"'['"Info"']'":     Hard-wiring exeConfig to be $exeConfig"
  else
    set exeConfig = "$GEMSTONE_EXE_CONF"
#    echo "$comid"'['"Warning"']'":  Using GEMSTONE_EXE_CONF value $exeConfig"
  endif
endif
if ( -d $exeConfig ) then
  if ( "x$appName" != "x" ) then
    if ( -f $exeConfig/${appName}.conf ) then
      set exeConfig = $exeConfig/${appName}.conf
    else
      set exeConfig
    endif
  endif
else
  if ( ! -f $exeConfig ) then
    set exeConfig
  endif
endif
#if ( ! -d $exeConfig -a ! -f $exeConfig ) then
#  $say setconfig.noexe $comid $GEMSTONE_EXE_CONF
#  echo "    GEMSTONE_EXE_CONF=$exeConfig"
#endif
if ( "x$exeConfig" != "x" ) then
  setenv GEMSTONE_EXE_CONF $exeConfig
endif

if ( "x$netldiSpec" != "x" ) then
  setenv netldi${GEMSTONE_VERSION} $netldiSpec
#else
#  set foo = netldi${GEMSTONE_VERSION}
#  eval set bar = \$\?$foo
#  if ( $bar != 0 ) then
#    $say setconfig.netldi $comid netldi$GEMSTONE_VERSION $foo
#  endif
#  unset foo
#  unset bar
endif
  
if ( "x$runpgsvrSpec" == "x" ) then
  if ( $?runpgsvr != 0 ) then
    $say setconfig.runpgsvr $comid "$runpgsvr"
  endif
else
  setenv runpgsvr $runpgsvrSpec
endif
